Version 48.0
~~~~~~~~~~~~
Released: 2025-03-16

This is the first stable release in the GNOME 48 series, with the following improvements since
47.0:
 * The birthday editor has received a UI upgrade, and should now work much better on small screens
 * Several components now use modern dialogs, which should provide a better experience on a small
   screen
 * It's now possible to delete a list of selected contacts using the Ctrl+Delete keyboard shortcut
 * The contact editor form has received a few minor tweaks to its spacing and added some
   animations for a streamlined UX
 * A bug has been fixed that prevented copying a contact's name
 * Improved accessibility when viewing a contact

This release also updates translations in several languages.

Version 48~beta
~~~~~~~~~~~~~~~
Released: 2025-02-11

This is the alpha release for GNOME Contacts 48, with the following improvements:
 * The birthday editor has received a UI upgrade, and should now work much better on small screens
 * Several components now use modern dialogs, which should provide a better experience on a small
   screen
 * It's now possible to delete a list of selected contacts using the Ctrl+Delete keyboard shortcut
 * The contact editor form has received a few minor tweaks to its spacing and added some
   animations for a streamlined UX
 * A bug has been fixed that prevented copying a contact's name

This release also updates translations in several languages.

Version 47.1
~~~~~~~~~~~~
Released: 2024-12-15

This is the second stable release in the GNOME 47 series, with the following fixes since 47.0:
 * Fixed the problem of the "Cancel" button no longer working in certain cases (for example when
   editing a contact)
 * The app name is again properly passed on to the system, fixing an issue where it wouldn't show
   up properly on some systems
 * On some systems, taking a picture with the camera didn't work if graphics drivers aren't
   installed. This is now fixed

Version 47.0
~~~~~~~~~~~~
Released: 2024-09-17

This is the first stable release in the GNOME 47 series, with the following improvements since
46.0:
 * It's now again possible to take a picture with the camera when setting the avatar
 * The UI has been updated to follow the latest GNOME platform designs with libadwaita 1.6
 * Several updates to the QR code export dialog now makes sure it fits all screen sizes and solves
   some papercuts
 * You can now cancel a selection with the Escape key
 * A crash during the initial setup window has been fixed

This release also updates translations in several languages.

Version 47~alpha
~~~~~~~~~~~~~~~~
Released: 2024-07-23

This is the alpha release for GNOME Contacts 47, with the following improvements:
 * It's now again possible to take a picture with the camera when setting the avatar
 * The UI has been updated to follow the latest GNOME platform designs with libadwaita 1.6

This release also updates translations in several languages.

Version 46.0
~~~~~~~~~~~~
Released: 2024-03-16

This is the first stable release in the GNOME 46 series, with the following improvements since
45.0:
 * It's now possible to import multiple VCard files at once
 * When importing new contacts, the confirmation dialog will also helpfully preview the names of
   the contacts to import
 * Searching contacts just got a bit faster, with improved performance and reduces power
   consumption, especially on large contact lists.
 * Searching for a contact through GNOME Shell and clicking it while editing an existing one could
   lead to a broken state. Now, Contacts will first confirm whether it's okay to stop editing
 * A bug where (un)selecting a contact would fail when clicking the checkbox directly is now fixed
 * Phone numbers are now always shown from left to right, regardless of the configured text
   direction

This release also updates translations in several languages.

Version 46~beta
~~~~~~~~~~~~~~~
Released: 2024-02-25

This is the beta release for GNOME Contacts 46, with the following improvements:
 * Phone numbers are shown from left to right, regardless of the configured text direction

This release also updates translations in several languages.

Version 46~alpha
~~~~~~~~~~~~~~~~
Released: 2024-01-09

This is the alpha release for GNOME Contacts 46, with the following improvements:
 * It's now possible to import multiple VCard files at once
 * When importing new contacts, the confirmation dialog will also helpfully preview the names of
   the contacts to import
 * Searching for a contact through GNOME Shell and clicking it while editing an existing one could
   lead to a broken state. Now, Contacts will first confirm whether it's okay to stop editing.
 * A bug where (un)selecting a contact would fail when clicking the checkbox directly is now fixed
 * The nightly Flatpak should now properly show avatars for contacts
 * Some outdated and missing info was added in the app description

This release also updates translations in several languages.

Version 45.0
~~~~~~~~~~~~
Released: 2023-09-18

This is the first stable release in the GNOME 45 series, with the following improvements since
44.0:
 * A new implementation of the contact list should lead to much less memory consumption and a
   small performance increase
 * Screen readers should now be able to tell which property of a contact is currently focused
 * Several bugs have been fixed when selecting and cropping an avatar. Choosing a file should also
   be much easier now, as the file picker will filter image files
 * Contacts no longer shows a duplicate window when activated from a search result
 * The app will try to resize more intuitively

This release also updates translations in several languages.

Version 45~beta
~~~~~~~~~~~~~~~
Released: 2023-08-10

This is the beta release for GNOME Contacts 45, with the following improvements:
 * Several bugs have been fixed when selecting and cropping an avatar. Choosing a file should also
   be much easier now, as the file picker will filter image files
 * A new implementation of the contact list should lead to much less memory consumption and a
   small performance increase
 * Contacts no longer shows a duplicate window when activated from a search result
 * The sidebar will resize more intuitively, rather than keeping a fixed width

This release also updates translations in several languages.

Version 44.0
~~~~~~~~~~~~
Released: 2023-03-18

This is the first stable release in the GNOME 44 series, with the following improvements since
43.0:
 * Contacts can now be shared with a QR code, which allows for simple and easy way of sharing
   contact information across devices
 * The main menu now allows you to export all contacts at once
 * Unsetting and editing an avatar for a contact is now more intuitive with dedicated buttons that
   are overlayed on top of the image
 * Support for TITLE/ORG vCard properties when importing
 * Fix a bug which made it impossible to add more than one address for a contact
 * Several changes to the UI that makes it more consistent with GNOME design guidelines
 * Birthdays on a leap year will now get a birthday notification on February 28 in non-leap years
 * Added support for multiple keyboard shortcuts
 * It's now possible to explicitly unset a birthday
 * A bug where title buttons where shown twice is now fixed

This release also updates translations in several languages.

Version 44~rc
~~~~~~~~~~~~~
Released: 2023-03-05

This is the release candidate for GNOME Contacts 44, with the following improvements since the
beta:
 * Unsetting and editing an avatar for a contact is now a bit more intuitive with the dedicated
   overlayed buttons
 * Several changes to comply better with the GNOME HIG
 * Added unit tests will now help us guarantee correctness
 * We now parse the first TITLE/ORG vCard properties
 * Fix a bug which made it impossible to add more than one address for a contact

This release also updates translations in several languages.

Version 44~beta
~~~~~~~~~~~~~~~
Released: 2023-02-13

This is the beta release for GNOME Contacts 44, with the following improvements:
 * The main menu has been renamed to follow the GNOME HIG and now contains an action item to
   export all contacts
 * Contacts can now be shared with a QR code, which allows for simple and easy way of sharing
   contact information across devices
 * Birthdays on a leap year will now get a birthday notification on February 28 in non-leap years.
 * Added support for multiple keyboard shortcuts
 * It's now possible to explicitly unset a birthday
 * Fix a bug where some title buttons where shown twice

This release also updates translations in several languages.

Version 43.0
~~~~~~~~~~~~
Released: 2022-09-23

This is the first stable release in the GNOME 43 series, with the following improvements since
42.0:
 * Contacts can now import and export your contacts in the vCard format (aka VCF) to or from a
   file on the system
 * Changes under the hood to make searching for contacts faster, and fixes several issues when
   editing or adding a contact
 * On the UI front, Contacts has revamped the widgets when you're editing contacts. Several
   dialogs (like the "About" window) have gotten an upgrade and now look consistent with other
   GNOME apps
 * Configuring your address books has moved to a dedicated spot in the new preferences window
 * Our screenshots have been updated for GNOME 43

This release also updates translations in several languages.

Version 43~rc
~~~~~~~~~~~~~
Released: 2022-09-05

This is the release candidate in the GNOME 43 unstable series, with the following improvements:
 * Updated screenshots for GNOME 43
 * A rewrite of the core internals fixes several issues when editing or adding a contact.
 * Several performance optimizations when searching for contacts in the app
 * Some strings for important and exporting contacts were not marked a translated yet.

This release also updates translations in several languages.

Version 43~beta
~~~~~~~~~~~~~~~
Released: 2022-08-08

This is the beta release in the GNOME 43 unstable series, with the following improvements:
 * Contacts can now import and export your contacts in the vCard format (aka VCF) to or from a
   file on the system.
 * The app will now warn you if your system has a configuration issue of your primary address book

This release also updates translations in several languages.

Version 43~alpha
~~~~~~~~~~~~~~~~
Released: 2022-07-27

This is the first unstable release in the GNOME 43 series, with the following improvements:
 * Some dialogs (like the "About" window) have a better UI and now look consistent with other
   GNOME apps
 * An improved UI for textual properties in the contact editor
 * The settings to configure your address books have moved to a preferences window

This release also updates translations in several languages.

Version 42.0
~~~~~~~~~~~~
Released: 2022-03-22

This is the first stable release in the GNOME 42 series, with the following improvements since
41.0:
 * A fresh new look thanks to a port to GTK 4 and libadwaita, along with a new UI design
 * It is now possible to open up a contact's location with your default maps application (provided
   it supports "maps:" URIs)
 * It is now possible to show and add the organisational role of a contact. This is an especially
   useful feature for corporate address books
 * Contacts shows a little reminder when displaying someone's contact information if their
   birthday is today

This release also updates translations in several languages.

Version 42~beta
~~~~~~~~~~~~~~~
Released: 2022-03-14

This is the second unstable release in the GNOME 42 series, with the following improvements:
 * Contact properties can be selected, which means you can also copy them to paste it elsewhere.
 * It is now possible to show and add the organisational role of a contact. This is mostly useful
   for corporate address books, as you can now see what job a colleague is performing.
 * Some paper cuts that got introduced when porting to GTK4 have been resolved.
 * Contacts shows a little reminder when displaying someone's contact information if their
   birthday is today
 * Fixed launching the Online Accounts dialog in GNOME 42.

This release also updates translations in several languages.

Version 42~alpha
~~~~~~~~~~~~~~~~
Released: 2022-01-12

This is the first unstable release in the GNOME 42 series, with the following improvements:
 * A fresh new look thanks to a port to GTK 4 and libadwaita, along with a new UI design.
 * It is now possible to open up a contact's location with your default maps application (provided
   it supports "maps:" URIs)
 * Fixes to the birthday editor.

This release also updates translations in several languages.

Version 41.0
~~~~~~~~~~~~
Released: 2021-09-29

Version 41 is a stable release, with the following major improvements since version 40:
 * When adding or updating a contact, Contacts will now scroll the list to the newly-made contact.
 * Long names are wrapped over more lines, which makes them more readable, especially in the case
   of a small screen.
 * We now have a dedicated selection mode button, which makes the UX for touchscreen devices much
   more intuitive.
 * Several small UI improvements, like extra tooltips that follow the GNOME HIG.
 * When opening a contact, a previously entered birthday is now shown

This release also updates translations in several languages

Version 41~beta
~~~~~~~~~~~~~~~
Released: 2021-09-04

This is the first unstable release in the GNOME 41 series, with the following improvements:
 * When adding or updating a contact, Contacts will now scroll the list to the newly-made contact.
 * The Contacts title after cancelling selecting now correctly shows "Contacts"
 * When opening a contact, a previously entered birthday is now shown
 * We now have a dedicated selection mode button, which makes the UX for touchscreen devices much
   more intuitive.
 * Several small UI improvements, like extra tooltips that follow the GNOME HIG.

This release also updates translations in several languages.

Version 40.0
~~~~~~~~~~~~
Released: 2021-03-23

Version 40 is a stable release, with the following major improvements since 3.38:
 * Several issues that occurred when editing or adding postal addresses are now fixed
 * Better accessibility when creating a new contact by adding support for mnemonics
 * You can now select a contact by using a long press
 * The avatar selector now displays properly on smaller screens
 * Deleting the final contact now properly clears the title bar
 * Contacts now also remembers if the window was fullscreened
 * Cancelling selection no longer hides headerbar buttons
 * Fixed: stop cursor from appearing when viewing a contact
 * Several style and typography updates

This release also updates translations in several languages

Version 40~beta
~~~~~~~~~~~~~~~
Released: 2021-03-01

This is the second unstable release in the GNOME 40 series, with the following improvements:
 * Cancelling selection no longer hides headerbar buttons
 * Fixed: stop cursor from appearing when viewing a contact

This release also updates translations in several languages.

Version 40~alpha
~~~~~~~~~~~~~~~~
Released: 2021-02-13

This is the first unstable release in the GNOME 40 series, with the following improvements:
 * Several issues that occurred when editing or adding postal addresses are now fixed
 * Better accessibility when creating a new contact by adding support for mnemonics
 * You can now select a contact by using a long press
 * The avatar selector now displays properly on smaller screens
 * Deleting the final contact now properly clears the title bar
 * Contacts now also remembers if the window was fullscreened
 * Several style and typography updates

This release also updates translations in several languages.

Version 3.38
~~~~~~~~~~~~
Released: 2020-09-19

Version 3.38 is a stable release, with the following major improvements since 3.36:
 * Editing contacts from a Nextcloud account improved
 * In some setups, Contacts confused typing 'N' with Ctrl+N, creating a new contact. This should
   no longer be the case
 * Fixed: sometimes the Contacts icon is not shown properly
 * Virtual keyboards can adapt themselves on the "Name" field
 * Contacts switched to the stable libhandy release
 * Cheese is now an optional dependency

This release also updates translations in several languages

Version 3.37.2
~~~~~~~~~~~~~~
Released: 2020-08-24

This is the beta release in the 3.37 development series, with the following improvements:
 * Fixed: cannot get past the initial setup screen

This release also updates translations in several languages.

Version 3.37.1
~~~~~~~~~~~~~~
Released: 2020-08-13

This is the first unstable release in the 3.37 development series, with the following improvements:
 * Fix: sometimes the Contacts icon is not shown properly
 * Fix: sometimes typing 'n' creates a new contact
 * Virtual keyboard might give adapt for typing a name
 * Bump libhandy to 0.85
 * Increase the minimal version of several dependencies
 * Several build fixes

This release also updates translations in several languages.

Version 3.36
~~~~~~~~~~~~
Released: 2020-03-10

Version 3.36 is a stable release, with the following major improvements since 3.34:
 * A refreshed UI when viewing, editing or creating contacts
 * Contacts now behaves even better on smaller screens

This release also updates translations in several languages.

Version 3.35.90
~~~~~~~~~~~~~~~
Released: 2020-02-03

This is the next unstable release in the 3.35 development series, with the following improvements:
 * When showing a contact, Contacts now provides buttons to perform relevant actions
 * A refreshed UI when creating or editing a contact
 * The address book window is now adaptive

This release also updates translations in several languages.

Version 3.35.1
~~~~~~~~~~~~~~
Released: 2020-01-05

This is the first unstable release in the 3.35 development series, with the following improvements:
 * You can now use a "back" gesture on touch devices to go back to the contact list when viewing
   or editing a contact
 * Contacts now works on even smaller screens
 * Nightly now show off with a fancy new icon
 * Bugfix: if another app opens Contacts, this still works even if it's not running

This release also updates translations in several languages.

Version 3.34
~~~~~~~~~~~~
Released: 2019-09-09

Version 3.34 is a stable release, with the following major improvements since 3.32:
 * Updated avatars which follow the GNOME avatar style
 * Better accessibility with mnemonics for the setup window
 * A new --search option for the command-line
 * Fixed issues when using the webcam to add an avatar
 * Fixed searching contacts in GNOME Shell returning no results

This release also updates translations in several languages.

Version 3.33.92
~~~~~~~~~~~~~~~
Released: 2019-09-04

This is the last unstable release in the 3.33 development series, with the following improvements
since 3.33.91:
 * Updated the man page

This release also updates translations in several languages.

Version 3.33.91
~~~~~~~~~~~~~~~
Released: 2019-08-20

This is the next unstable release in the 3.33 development series, some would say a beta, with the
following improvements:
 * Make the avatars more in line with the other apps in the GNOME ecoosystem. If possible, the
   initials will be used to make an avatar if none is available.
 * Fix searching contacts from GNOME Shell returning no results
 * Add a small description of the --search option

This release also updates translations in several languages.

Version 3.33.4
~~~~~~~~~~~~~~
Released: 2019-07-22

This is the second unstable release in the 3.33 development series, with the following
improvements:
 * Flatpak: Allow webcam access (and other small fixes)
 * Even better integration with CI
 * Add mnemonics to the setup window

This release also updates translations in several languages.

Version 3.33.1
~~~~~~~~~~~~~~
Released: 2019-04-24

This is the first unstable release in the 3.33 development series, with the following improvements:
 * Added a show-contact application action, so other applications can activate Contacts to show a
   specific contact
 * Reverted an accidental change in the Appstream ID
 * Pass along the right printf-format to MessageDialogs

This release also updates translations in several languages.

Version 3.32
~~~~~~~~~~~~
Released: 2019-03-12

Version 3.32 is the next stable release, with the following major improvements since 3.30:
 * A new, modern icon
 * A responsive UI: Contacts now works on all screen sizes!
 * Property types are now handled more consistently, fixing some minor issues, e.g. types mixing
   translations with the ones from Google.
 * A few minor performance optimizations
 * Solved a bug where the birthday did not change
 * Fixed a crash when right-clicking in the contact list

This release also updates translations in several languages.

Version 3.31.90
~~~~~~~~~~~~~~~
Released: 2019-02-06

This is the next unstable release in the 3.31 development series, with the following improvements:
 * The interface now adapts to the size of its window, making it possible to use on smaller
   screens (such as phones)

This release also updates translations in several languages.

Version 3.31.4
~~~~~~~~~~~~~~
Released: 2019-01-09

This is the next unstable release in the 3.31 development series, with the following improvements:
 * Small improvements for the "types" of properties ("Home", "Work", …). Contacts should now also
   be able to more easily identify untranslated properties from Google Contacts.
 * Some UI tweaks for the primary menu
 * The appdata file and the desktop file are now validated by CI

This release also updates translations in several languages.

Version 3.31.3
~~~~~~~~~~~~~~
Released: 2018-12-10

This is the first unstable release in the 3.31 development series, with the following improvements:
 * An updated application icon
 * Dropped the app menu
 * Added a dependency on libhandy
 * Fix birthday not being properly saved
 * Telepathy is now disabled by default
 * Flatpak fixes

This release also updates translations in several languages.

Version 3.30
~~~~~~~~~~~~
Released: 2018-09-03

Version 3.30 is the next stable release, with the following major improvements since 3.28:
 * Tweaks to the avatar selector UI
 * Several fixes for the Flatpak build
 * OARS content ratings

This release also updates translations in several languages.

Version 3.29.92
~~~~~~~~~~~~~~~
Released: 2018-08-27

This is the last unstable release in the 3.29 development series, with the following improvements:
 * The avatar selector now uses the native file chooser
 * Added OARS content rating
 * Restructured the code to allow automated tests
 * Several flatpak fixes

This release also updates translations in several languages.

Version 3.29.2
~~~~~~~~~~~~~~
Released: 2018-05-24

This is the first unstable release in the 3.29 development series, with the following improvements:
 * The avatar selection UI has been revamped
 * Use GNOME's Meson conventions: compilation options can now no longer have an auto value. Some
   have also been renamed to drop the "with-" prefix.
 * The Flatpak manifest was improved in several ways.
 * Extended the CI pipeline to use flatpak

This release also updates translations in several languages.

Version 3.28
~~~~~~~~~~~~
Released: 2018-03-12

Version 3.28 is a stable release, with the following major improvements:
 * Favorite contacts, which are shown at the top of the contact list.
 * Sort contacts by their first name or surname.
 * Small tweaks to the UI, such as a more welcoming setup screen and rounded avatars.
 * Performance improvements to the GNOME Shell search provider.
 * A slightly decreased memory usage.

This release also updates translations in several languages.

Version 3.27.92
~~~~~~~~~~~~~~~
Released: 2018-03-05

This is the fourth unstable (beta) release in the 3.27 development series, with the following
improvements:
 * The titlebar is now updated when a contact's name changes.
 * The window will now remember its size and restore it on the next start.
 * Postal addresses are now sorted before notes.

This release also updates translations in several languages.

Version 3.27.90
~~~~~~~~~~~~~~~
Released: 2018-02-05

This is the third unstable release in the 3.27 development series, with the following improvements:
 * Support for favorite contacts. These contacts will be shown at the top of the list.
 * Contacts now allows sorting by both first name and surname.
 * Avatars are now displayed as a circle and are better optimized for memory usage.
 * Selection mode can now be started by right-clicking the contact list.

This release also updates translations in several languages.

Version 3.27.4
~~~~~~~~~~~~~~
Released: 2018-01-09

This is the second unstable release in the 3.27 development series, with the following
improvements:
 * Contacts now has a shortcuts window
 * Small tweaks to the setup screen
 * Support --version as command-line argument
 * Telepathy is no longer a mandatory dependency
 * Support for maps can be disabled at compile time
 * Improved the Shell search provider

This release also updates translations in several languages.

Version 3.27.2
~~~~~~~~~~~~~~
Released: 2017-11-13

This is the first unstable release in the 3.27 development series, with the following improvements:
 * Contact properties are now sorted by type
 * Avatars are now displayed using rounded border

This release also updates translations in several languages.

Version 3.26.0
~~~~~~~~~~~~~~
Released: 2017-09-11

Version 3.26 is a stable release, with the following improvements:
 * Support for Flatpak
 * Support for faster builds using Meson
 * Saving notes in a contact now works again
 * Some contact properties are now selectable
 * Use our own app icon, rather than a predefined one

This release also updates translations in several languages.

Version 3.25.92.1
~~~~~~~~~~~~~~~~~
Released: 2017-09-05

This is an unstable release in the 3.25 development series, which fixes build errors in version
3.25.92.

Version 3.25.92
~~~~~~~~~~~~~~~
Released: 2017-09-04

This is an unstable release in the 3.25 development series, with the following improvements:
 * Added experimental support for Flatpak
 * Contacts can now be built with Meson
 * Contacts now provides its own proper app icon
 * Some labels in the contact sheet are now selectable

The following bugs are also fixed:
 * Can't save notes in a contact
 * Bumped minimal version of telepathy-glib, GTK+ and GLib

This release also updates translations in several languages.

Version 3.25.4
~~~~~~~~~~~~~~
Released: 2017-07-17

This is an unstable release in the 3.25 development series, with the following improvements:
 * Contacts now provides its own application icon
 * Small UI improvements to the avatar chooser dialog

The following bugs are also fixed:
 * Folks now requires version 11.4 or higher
 * Migrated away from intltool and libgd
 * Got rid of a bunch of warnings and critical messages
 * Use the locale to translate months
 * Added git.mk to automagically create .gitignores

This release also updates translations in several languages.
